Subject: [bug#30831] [PATCH] gnu: rust: Update rust from 1.22.1 release to 1.24.1

From: Nikolai Merinov <[email-masked]>
Date: Tue, 27 Mar 2018 18:02:58 +0500

Hi Danny,

I checked last version of my patch over
d591989b42088a358f33d6cf68f12efc2ad4403c (master as on March 24) and
looks that build is reproducable. It will be helpful if you'll be able
to check this patch also:
https://debbugs.gnu.org/cgi/bugreport.cgi?att=1;msg=38;bug=30831;filename=0001-gnu-rust-Update-rust-to-1.24.1-froze-bootstrap-on-1..patch 

Regards,
Nikolai

Danny Milosavljevic <[email-masked]> writes:

> Hi Nikolai,
>
> On Thu, 22 Mar 2018 00:02:46 +0500
> Nikolai Merinov <[email-masked]> wrote:
>
>> I checked several times with "guix build --no-grafts --rounds=2 [email-masked]"
>> with "guix gc" between tries, but it worked correctly. I tried on x86-64
>> architecture with my patch over 79f450a120068ac1d2fc4e5b4b33ae938b604f95
>> guix commit. 
>
> Weird, works fine for me with 79f450a120068ac1d2fc4e5b4b33ae938b604f95.
>
> But with the current master, 2cac8891510533338f6214fbd5ab9c2f6204e856, it fails
> as describes (I tried again, fails).